package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * 导播台信息表
 *
 * @author TONG
 * @email
 * @date 2019-03-14 11:00:06
 */
@TableName("live_caster")
public class LiveCasterEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 数据ID
	 */
	@TableId
	private Integer id;
	/**
	 * 导播台Id
	 */
	private String casterId;
	/**
	 * 导播台名称
	 */
	private String casterName;
	/**
	 * 导播台规格类型
	 */
	private Integer normType;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 导播台启动时间
	 */
	private Date startTime;
	/**
	 * 数据状态
	 */
	private Integer dataState;
	/**
	 * app名称
	 */
	private String appName;
	/**
	 * 原画流名称
	 */
	private String streamName;
	/**
	 * 现场ID
	 */
	private Integer sceneId;
	/**
	 * 导播台状态
	 */
	private Integer isDelete;
	/**
	 * 转码设置
	 */
	private String templateIds;
	/**
	 * 租户id
	 */
	private Long tenantId;

	public LiveCasterEntity() {}
	public LiveCasterEntity(Integer id) {
		this.id = id;
	}

	/**
	 * 设置：数据ID
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：数据ID
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：导播台Id
	 */
	public void setCasterId(String casterId) {
		this.casterId = casterId;
	}
	/**
	 * 获取：导播台Id
	 */
	public String getCasterId() {
		return casterId;
	}
	/**
	 * 设置：导播台名称
	 */
	public void setCasterName(String casterName) {
		this.casterName = casterName;
	}
	/**
	 * 获取：导播台名称
	 */
	public String getCasterName() {
		return casterName;
	}
	/**
	 * 设置：导播台规格类型
	 */
	public void setNormType(Integer normType) {
		this.normType = normType;
	}
	/**
	 * 获取：导播台规格类型
	 */
	public Integer getNormType() {
		return normType;
	}
	/**
	 * 设置：创建时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：创建时间
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 设置：导播台启动时间
	 */
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	/**
	 * 获取：导播台启动时间
	 */
	public Date getStartTime() {
		return startTime;
	}
	/**
	 * 设置：数据状态
	 */
	public void setDataState(Integer dataState) {
		this.dataState = dataState;
	}
	/**
	 * 获取：数据状态
	 */
	public Integer getDataState() {
		return dataState;
	}
	/**
	 * 设置：app名称
	 */
	public void setAppName(String appName) {
		this.appName = appName;
	}
	/**
	 * 获取：app名称
	 */
	public String getAppName() {
		return appName;
	}
	/**
	 * 设置：原画流名称
	 */
	public void setStreamName(String streamName) {
		this.streamName = streamName;
	}
	/**
	 * 获取：原画流名称
	 */
	public String getStreamName() {
		return streamName;
	}
	/**
	 * 设置：现场ID
	 */
	public void setSceneId(Integer sceneId) {
		this.sceneId = sceneId;
	}
	/**
	 * 获取：现场ID
	 */
	public Integer getSceneId() {
		return sceneId;
	}
	/**
	 * 设置：导播台状态
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：导播台状态
	 */
	public Integer getIsDelete() {
		return isDelete;
	}

	public String getTemplateIds() {
		return templateIds;
	}

	public void setTemplateIds(String templateIds) {
		this.templateIds = templateIds;
	}

	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId = tenantId;
	}
}
